Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513883 - SELinux is preventing gnome-shell from 'execute' accesses on the file 2F72756E2F676E6F6D652D696E697469616C2D73657475702F233232343434202864656C6574656429.
Summary: SELinux is preventing gnome-shell from 'execute' accesses on the file 2F72756...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cd2b11bf280d540e8f99cf2b92f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 08:21 UTC by Dmitry Burstein
Modified: 2017-11-20 16:56 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.16.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 16:56:13 UTC


Attachments (Terms of Use)

Description Dmitry Burstein 2017-11-16 08:21:57 UTC
Description of problem:
SELinux is preventing gnome-shell from 'execute' accesses on the file 2F72756E2F676E6F6D652D696E697469616C2D73657475702F233232343434202864656C6574656429.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-shell should be allowed execute access on the 2F72756E2F676E6F6D652D696E697469616C2D73657475702F233232343434202864656C6574656429 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gnome-shell' --raw | audit2allow -M my-gnomeshell
# semodule -X 300 -i my-gnomeshell.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xdm_var_run_t:s0
Target Objects                2F72756E2F676E6F6D652D696E697469616C2D73657475702F
                              233232343434202864656C6574656429 [ file ]
Source                        gnome-shell
Source Path                   gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.14.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.9-300.fc27.x86_64 #1 SMP Mon
                              Oct 23 13:41:58 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-11-15 12:27:18 IST
Last Seen                     2017-11-15 12:27:18 IST
Local ID                      a5a3456a-ff36-479b-be64-94f01c6c504a

Raw Audit Messages
type=AVC msg=audit(1510741638.621:184): avc:  denied  { execute } for  pid=1236 comm="gnome-shell" path=2F72756E2F676E6F6D652D696E697469616C2D73657475702F233232343434202864656C6574656429 dev="tmpfs" ino=22444 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=file permissive=0


Hash: gnome-shell,xdm_t,xdm_var_run_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-283.14.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.12-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1510909

Comment 1 Fedora Update System 2017-11-16 15:11:38 UTC
selinux-policy-3.13.1-283.16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 2 Fedora Update System 2017-11-17 18:55:57 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 3 Fedora Update System 2017-11-20 16:56:13 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.